Bug 985493 - Can't create VM disk
Can't create VM disk
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 11:41 EDT by Aharon Canan
Modified: 2016-02-10 15:22 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 04:12:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aharon Canan 2013-07-17 11:41:30 EDT
Description of problem:
Trying to create VM disk failed

Version-Release number of selected component (if applicable):


How reproducible:
n/a

Steps to Reproduce:
1. create VM with boot disk (one host in maintenance)


Actual results:
create boot disk fails

Expected results:
should be created

Additional info:
================
681a415e-b375-41dc-9d32-666a05ff6d70::ERROR::2013-07-17 18:31:00,823::task::850::TaskManager.Task::(_setError) Task=`681a415e-b375-41dc-9d32-666a05ff6d70`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 857, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/storage/task.py", line 318, in run
    return self.cmd(*self.argslist, **self.argsdict)
  File "/usr/share/vdsm/storage/securable.py", line 68, in wrapper
    return f(self, *args, **kwargs)
  File "/usr/share/vdsm/storage/sp.py", line 1947, in createVolume
    desc=desc, srcImgUUID=srcImgUUID, srcVolUUID=srcVolUUID)
  File "/usr/share/vdsm/storage/sd.py", line 411, in createVolume
    preallocate, diskType, volUUID, desc, srcImgUUID, srcVolUUID)
  File "/usr/share/vdsm/storage/volume.py", line 426, in create
    imgPath = image.Image(repoPath).create(sdUUID, imgUUID)
  File "/usr/share/vdsm/storage/image.py", line 127, in create
    os.mkdir(imageDir)
Comment 1 Maor 2013-07-23 11:12:47 EDT
please attach VDSM and engine logs
Comment 2 Aharon Canan 2013-07-24 04:12:25 EDT
I am not sure why but although attaching the logs, it probably wasn't uploaded.
I did not save it locally.

I will try to reproduce and update.

Note You need to log in before you can comment on or make changes to this bug.